Subject: [jose] I-D: draft-rundgren-json-canonicalization-scheme-05

From: Anders Rundgren <[email-masked]>
Date: Sat, 16 Feb 2019 20:39:26 +0100

https://tools.ietf.org/html/draft-rundgren-json-canonicalization-scheme-05

Abstract:
     Cryptographic operations like hashing and signing requires that the
     original data does not change during serialization or parsing.  By
     applying the rules defined by the JSON Canonicalization Scheme (JCS),
     data provided in JSON [RFC8259] format can be exchanged "as is",
     while still being usable by secure cryptographic operations.  JCS
     achieves this by building on the strict serialization formats for
     JSON primitives defined by ECMAScript [ES6], constraining JSON data
     to the I-JSON [RFC7493] subset, and through a platform independent
     property sorting scheme.

     The intended audiences of this document are JSON tool vendors, as
     well as designers of JSON based cryptographic solutions.

/Anders for the JCS team